/* $Header: /src/carson/nistnet/RCS/kincludes.h,v 1.3 1998/03/02 18:40:51 carson Exp carson $ */
/* Kernel includes
 *
 * To clean up the effort to make the code work with glibc, the
 * list of includes used is being centralized.
 */

#ifndef _K_INCLUDES_H
#define _K_INCLUDES_H

/* Kernel code can't currently be compiled with most any of the glibc
 * headers!  Glibc is for user level code!
 */
#include <linux/config.h>

#include <linux/types.h>
typedef __u32 u_int32_t;
/*#include <sys/bitypes.h>*/

#include <asm/irq.h>
#include <asm/segment.h>
#include <linux/fs.h>
#include <linux/kernel.h>
#include <linux/major.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/netdevice.h>

#include <linux/errno.h>
#include <linux/param.h>
#include <linux/timex.h>

#include <asm/io.h>

#include <linux/in.h>
#include <linux/socket.h>

/* Local header files */
#include "linux/fast_timer.h"
#include "nistnet.h"

#endif
